% example2_10.m
% amatrix7
% This program uses the fscanf command to enter an M * N matrix into a
% script. The M * N matrix is entered in column order. Thus, rows become
% columns and columns become rows.
% The script creates matrices A and B and then prints them out to the
% screen.
% Note: Before running this program, the data file gauss6.dat needs to be
% created.
clear; clc;
n=5;
A=zeros(n); B=zeros(5,1);
fin=fopen('gauss6.dat','r');
[A]=fscanf(fin,'%f ',[n,n]);
fprintf('  Matrix A elements \n');
A
[B]=fscanf(fin,'%f',[n]);
fclose(fin);
fprintf('\n\n');
fprintf('  Matrix B elements \n');
B
% Transposing matrix A and B to conform with gauss6.dat data.
C=[A'; B']

% Comparing gauss6 data file with matrices A and B, we see that the gauss6
% data file has been transposed (rows become columns and columns become
% rows).
% gauss6.dat 
% 8.77  2.40  5.66  1.55  1.0  
% 4.93  1.21  4.48  1.10  1.0  
% 3.53  1.46  2.92  1.21  1.0  
% 5.05  4.04  2.51  2.01  1.0  
% 3.54  1.04  3.47  1.02  1.0  
% -32.04 -20.07 -8.53 -6.30 -12.04
