% example2_2.m
% exB
% This program illustrates the use of nested loops; that is, an inner loop
% inside an outer loop. The program calculates e^x by both an arithmetic
% statement (ex2), and by a Taylor series expansion (ex1), where 
% -0.5 < x < 0.5. An outer 'for loop' is used to determine the x values. An 
% inner loop is used to determine the Taylor series method for evaluating 
% e^x. In this example term(n+1) is obtained by multiplying term(n) by x/n. 
% The  variable, term, is established as a vector so that 
% the built in 'sum' function can be used to sum all the terms calculated in 
% the Taylor series method. A maximum of fifty terms is used in the series. 
% e^x = 1 + x + x^2/2! + x^3/3! + x^4/4! + ...
% Program output is both to the screen and to a file.
% By printing the output to a file, one can edit the output
% such as lining up column headings, etc. One cannot directly
% edit output to the screen.
clear; clc; 
xmin=-0.5; dx=0.1; 
fo=fopen('output.dat','w');
% Table headings
fprintf(' x           ex1         ex2 \n');
fprintf('-------------------------------------\n');
fprintf(fo,' x           ex1         ex2 \n');
fprintf(fo,'-------------------------------------\n');

for i=1:11
    x=xmin+(i-1)*dx;
    ex2=exp(x);
    term(1)=1.0;
    for n=1:49
        term(n+1)=term(n)*x/n;
        if abs(term(n+1)) <= 1.0e-7
            break;
        end
    end   
    ex1=sum(term);
    fprintf('%5.2f   %10.5f   %10.5f \n',x,ex1,ex2);
	 fprintf(fo,'%5.2f   %10.5f   %10.5f \n',x,ex1,ex2);
end
fclose(fo);

