% example2_6.m
% table_plot
% This program creates a simple table and a simple plot.
% First a table of y1=n^2/10 and y2=n^3/100 is created. 
% Then y1 and y2 are plotted.
clear; clc;
fo=fopen('output.dat','w');
for n=1:10
    t(n)=n;
    y1(n)=n^2/10;
    y2(n)=n^3/100;
end
% By making t, y1 and y2 as vectors, their values can be printed out outside
% the for loop that created them.
% Column headings
fprintf(fo,'  t       y1          y2 \n');
fprintf(fo,'--------------------------------------\n');
for n=1:10
    fprintf(fo,'%8.1f   %10.2f    %10.2f \n',t(n),y1(n),y2(n));
end
% Creating the plot, y1 is red, y2 is in green.
% Plot identification is also established by adding text to the plot;
plot(t,y1,'r',t,y2,'g'), xlabel('t'), ylabel('y1,y2'), 
	grid, title('y1 & y2 vs. t');
% After the viewing the plot, text can be entered to identify which
% curve is y1 and which curve is y2. 
text(6.5,2.5,'y1'), text(4.2,2.4,'y2');
% In the above statement, text(6.5,2.5, 'y1'), the 6.5 is the abscissa 
% position and the 2.5 is the ordinate position where the y1 label will be 
% positioned. See example2.7
% The data t, y1 and y2 can be saved in a data file and loaded later
% to be used in another program. By the use of the 'clear' command
% the data file is removed from the work space. The load command 
% brings it back into the workspace and can be used in another program.

data1=[t' y1' y2'];
save data1;
clear;
% The clear command removes data1 from the workspace. However, data1 can be
% be brought back into the workspace by the load command.

% The plots of y1 and y2 will be made in different colors, y1 in red and 
% y2 in green.
% Color types 
% blue		b
% green		g
% red		r
% cyan		c
% yellow	y
% black     k
