   % example3_4.m
   % STATICS_TEST_F07
   % example3_3 has been ommitted.
   % This program solves for the internal forces in a truss by the matrix  
   %  method
   clear; clc;
   th60=pi/3; th30=pi/6; ie=5; je=5;
   a=zeros(5); p=zeros(5,1);
   sth60=sin(th60); cth60=cos(th60); sth30=sin(th30); cth30=cos(th30);
   % Calculation of reactions:
   % Sum of moments about joint A gives the vertical component of
   % the reaction at joint 
   Dy=(2*cth30*6*sth60+2*sth30*6*(1+cth60))/6;
   % Sum of external forces in the x direction gives the horizontal component 
   % of the reaction at joint A.  
   Ax=-2*cth30;
   % the sum of external forces in vertical direction gives the vertical
   %component of the reaction at joint A.
   Ay=2*sth30-Dy;
   fid=fopen('output.dat','w');
   fprintf(fid,' statics_problem.m \n');
   fprintf(fid,' Program solves for the internal forces of a truss \n\n');
   fprintf(fid,' Reactions in kN \n');
   fprintf(fid,' Ax=%8.3f \t\t Ay=%8.3f \t\t Dy=%8.1f \n\n',Ax,Ay,Dy);
   % Overwrite the non-zero elements of matrix a and matrix p.
   a(1,1)=cth60; a(1,3)=1.0; p(1)=-Ax;
   a(2,1)=sth60; p(2)=-Ay; 
   a(3,1)=-cth60; a(3,2)=cth60; a(3,4)=1.0;
   a(4,1)=-sth60; a(4,2)=-sth60; 
   a(5,4)=-1.0; a(5,5)=-cth60; p(5)=-2*cth30;
   fprintf(fid,' A matrix \n\n');
   jindex=1:je;
   fprintf(fid,'   ');
   for i=1:ie
      fprintf(fid,'%6i',jindex(i));
   end
   fprintf(fid,'\n');
   fprintf(fid,' -------------------------------------------------------\n');
   for i=1:ie
      fprintf(fid,'%4i ',i); 
      for j=1:je
         fprintf(fid,'%8.4f',a(i,j));
      end 
   fprintf(fid,'\n');
   end
   F=a\p;
   
   fprintf(fid,'\n\n');
   fprintf(fid,'Internal forces,F(1)-F(5)& external forces p(i),in kN \n\n');
   fprintf(fid,'  Member #     F(i)       Equation #     p(i) \n');
   fprintf(fid,'  ==================================================\n');
   for i=1:ie
      fprintf(fid,'  %3.0f     %9.4f    %3.0f     %5.3f \n',i,F(i),i,p(i));
   end
   % check if the sum of the horizontal components at joint D is zero:
   fprintf(fid,'\n check if sum of the y components at joint D is zero \n');
   ckDx=-F(2)*cth60+F(5)*cth60-F(3);
   fprintf(fid,'  ckDx=%12.4e \n',ckDx);
   % check if the sum of the vertical components at joint D is zero:
   fprintf(fid,'\n check if sum of the y components at joint D is zero \n');
   ckDy=Dy+F(2)*sth60+F(5)*sth60;
   fprintf(fid,'  ckDy=%12.4e \n',ckDy);
   fclose(fid);
