% example4_1.m
% search
% This program determines the real roots of a third degree polynomial.
% The program produces a plot of the function. Next the program searches
% for intervals where there are sign changes, then it calls the fzero 
% function to obtain the real roots.
clear; clc;
xmin=-10.0; xmax=10.0; N=50; nr=0; 
dx=(xmax-xmin)/N;
fprintf('Searching for roots, root is obtained by fzero function \n');
fprintf('  x          f \n');
for n=1:N+1
   x(n)=xmin+(n-1)*dx;
   fx(n)=func(x(n));
   fprintf('    %6.2f       %10.3f \n',x(n),fx(n)); 
end
plot(x,fx), title('f(x) vs. x'), xlabel('x'), ylabel('f(x)'),
grid;
for n=1:N
   p=fx(n)*fx(n+1);
   if p < 0.0
      nr=nr+1;
      xr(1)=x(n);
      xr(2)=x(n+1);
      rt(nr)=fzero('func',xr); 
   end
   if p==0.0
      nr=nr+1;
      rt(nr)=x(n+1);
      n=n+1;
   end
end

if nr ~= 0
  fprintf('\n\n Roots of function f(x)=0 \n\n');
  fprintf('root no.    root \n');

  for n=1:nr
     fprintf('  %i       %10.4f \n',n,rt(n));
  end 
else 
   fprintf('\n\n No roots lie within  xmin <= x <= xmax');
end   
