   % example5_4.m
   % integralc
   % This program evaluates the integral of a function between limits 0 & 1.
   % The function is log(1+x)/x, which is singular at x=0. The integral is 
   % broken down into two parts, I1 and I2. The singular point has been
   % removed from I1 (limits from eps to 1) and is evaluated by MATLAB's quad
   % function. I2 is obtained by expressing the function in a Taylor series
   % about x=0 and integrating several terms in the series from 0 to eps. 
   clear; clc;
   eps=0.001; a=eps; b=1.0;
   integral1=quad('fc',a,b);
   integral2=eps-0.25*eps^2+1.0/9.0*eps^3-1.0/16*eps^4+1.0/25.0*eps^5.0...
   -1.0/35.0*eps^6+1.0/49.0*eps^7;
   integral=integral1+integral2;
   fprintf('Evaluation of the integral log(1+x)/x from 0 to 1. \n');
   fprintf('The integral is broken down into 2 parts, I1 and I2. \n');
   fprintf('The singular point has been removed from I1 (limits from \n'); 
   fprintf('eps to 1). I2 is obtained by expressing the function \n');
   fprintf('in a Taylor series about x=0 and integrating several terms \n');
   fprintf('in the series from 0 to eps \n');
   fprintf('integral1=%f   integral2=%f \n\n',integral1,integral2);
   fprintf('integral=%f \n\n',integral)
