% example6_1.m
% runge2
% This program solves a system of 2 first order ordenary differential
% equations by the Runge-Kutta Method. The equations are:
% dr/dt=2*r*exp(-0.1*t)-2*r*y=f(t,r,y)
% dy/dt=-y+ry=g(r,y)
fo=fopen('output.dat','w');
fprintf(fo,'RUNGE-KUTTER PROBLEM \n');
fprintf(fo,'   t             r             y \n');
fprintf(fo,'-------------------------------------\n');
n=1000; dt=0.01; r(1)=1.0; y(1)=3.0; t(1)=0.0;
for i=1:n
    		t(i+1)=i*dt;
    		k(1)=rprimef(t(i),r(i),y(i));
    		L(1)=yprimef(r(i),y(i));
    		k(2)=rprimef(t(i)+dt/2,r(i)+dt/2*k(1),y(i)+dt/2*L(1));
    		L(2)=yprimef(r(i)+dt/2*k(1),y(i)+dt/2*L(1));
    		k(3)=rprimef(t(i)+dt/2,r(i)+dt/2*k(2),y(i)+dt/2*L(2));
    		L(3)=yprimef(r(i)+dt/2*k(2),y(i)+dt/2*L(2));
    		k(4)=rprimef(t(i)+dt,r(i)+dt*k(3),y(i)+dt*L(3));
    		L(4)=yprimef(r(i)+dt*k(3),y(i)+dt*L(3));
    		r(i+1)=r(i)+dt/6*(k(1)+2*k(2)+2*k(3)+k(4));
    		y(i+1)=y(i)+dt/6*(L(1)+2*L(2)+2*L(3)+L(4));
end
for i=1:10:n+1
    		fprintf(fo,'%10.2f  %16.4f   %16.4f \n',t(i),r(i),y(i));
end
fclose(fo);
plot(t,r,t,y,'--'), xlabel('t'), ylabel('r,y'), title('r & y vs t'), grid;
legend('r','y');