% example6_3.m
% ode_vib
% This program solves the motion of a spring-dashpot system. The governing 
% equation is a Second Order Ordinary Differential Equation (x vs. t)by 
% MATLAB'S ode45 function.
% m=10 kg, k= 4 N/m, c= 2.0 N-s/m,  alpha=0.05 N, omega= 2 rad/s
% y(1)= x, y(2)= xdot=v, yprime1=y(2); 
% yprime(2)=alpha*sin(omega *t)-c/m*v-k/m*y(1)
 clear; clc;
initial=[0.5 0];
tspan=0:0.1:50;
 [t,y]=ode45('dydt_vib',tspan,initial);
P=[t y];
t1=P(:,1);
x=P(:,2);
v=P(:,3);
fprintf('     t      x      v   \n');
for i=1:5:501
    fprintf(' %10.2f   %10.4f   %10.4f  \n',t1(i),x(i),v(i));
end    
plot(t1,x), xlabel('t'), ylabel('x'), title('x vs. t'), grid;
figure;
plot(t1,v), xlabel('t'), ylabel('v'), title('v vs. t'), grid;

