% example8_1.m:
% polyfit_text
% This program determines the best fit polynomial curve passing
% through a given set of data points
clear; clc;
x=-10:2:10;
y=[-980 -620 -70 80 100 90 0 -80 -90 10 220];
x2=-10:0.5:10;
mse=zeros(4);
for n=2:5
   	fprintf('n= %i \n',n);
   	coef=zeros(n+1);
   	coef=polyfit(x,y,n);
   	yc2=polyval(coef,x2);
   	yc=polyval(coef,x);
   	mse(n)=sum((y-yc).^2)/11;
   	if n==2
      fprintf('    x        y         yc \n');
      fprintf('-------------------------------------\n');
      for i=1:11 
      fprintf('%5.0f    %5.0f     %8.2f \n',x(i),y(i),yc(i));
      end  
      fprintf('\n\n');
   end
   if n==3
      fprintf('    x        y         yc \n');
      fprintf('-------------------------------------\n');
      for i=1:11
         fprintf('%5.0f    %5.0f     %8.2f \n',x(i),y(i),yc(i)); 
      end  
      fprintf('\n\n');
   end
   if n==4
      fprintf('    x        y         yc \n');
      fprintf('-------------------------------------\n');
      for i=1:11 
         fprintf('%5.0f    %5.0f     %8.2f \n',x(i),y(i),yc(i)); 
      end  
      fprintf('\n\n');
   end
   if n==5
      fprintf('    x        y         yc \n');
      fprintf('-------------------------------------\n');
      for i=1:11 
         fprintf('%5.0f    %5.0f     %8.2f \n',x(i),y(i),yc(i));
      end  
      fprintf('\n\n');
   end
   subplot(2,2,n-1),plot(x2,yc2,x,y,'o'),...
   xlabel('x'), ylabel('y'), grid, ...
   if n==2
      title('Second Degree Polynomial Fit')
   end
   if n==3
      title('Third Degree Polynomial Fit')
   end
   if n==4
      title('Fourth Degree Polynomial Fit')
   end
   if n==5
      title('Fifth Degree Polynomial Fit')
   end
end
fprintf('  n        mse \n')
fprintf('-------------------------\n');
for n=2:5
   fprintf('  %g      %6.2f  \n',n,mse(n))
end   
   
