   % example8_2.m
   % cubic_spline
   % This program uses interpolation by cubic splines to determine 
   % overpressure resulting from a blast.
   clear;
   clc; 
   dist=0.2:0.2:2.6;
   press=[24.0 14.0 10.0 7.6 5.4 4.0 3.1 2.5 2.0 1.7 1.5 1.3 1.1];
   d=0.2:0.1:2.6;
   p=interp1(dist,press,d,'spline');
   fid=fopen('output1.dat','w');
   fprintf(fid,'PEAK OVERPRESSURE VS. DISTANCE FROM BLAST  \n');
   fprintf(fid,'CUBIC SPLINE FIT \n');
   fprintf(fid,'  dist       over-press \n');
   fprintf(fid,' (miles)        (psi) \n');
   fprintf(fid,'----------------------------------- \n');
   for n=1:25
      fprintf(fid,' %5.1f     %10.3f \n',d(n),p(n));
   end   
   plot(d,p,dist,press,'o'),xlabel('miles from ground zero'),...
      ylabel('overpressure(psi)'),axis([0.0,3.0,0.0,25.0]),...
      grid,title('peak overpressure vs. distance from blast')
   fclose(fid);
