% example9_1b.m
% steep_descent
% This program determines a relative minimum by the 
% method of steepest decent.
% The function is: 
% f(x1,x2)=4+4.5*x1-4*x2+x1^2+2*x2^2-2*x1*x2+x1^4-2*x1^2*x2
% Relative minimum points are known. They occur at  
% (x1,x2)=(1.941,3.854) and (-1.053,1.028). The minimum functional 
% values are 0.9855 & -0.5134 respectively
clear; clc;
% First guess
x1=6;
x2=10;
ds=0.1;
fx=fxf(x1,x2);
fprintf('     x1         x2           fx \n');
for n=1:100 
   dfx1=dfx1f(x1,x2);
   dfx2=dfx2f(x1,x2);
   gradf_mag=sqrt(dfx1^2+dfx2^2);
   x1n=x1-dfx1/gradf_mag*ds;
   x2n=x2-dfx2/gradf_mag*ds;
   fxn=fxf(x1n,x2n);
   fprintf('  %7.4f     %7.4f    %10.4f \n',x1n,x2n,fxn);
   if(fxn > fx)
        fprintf('  a minimum has been reached \n\n');
        fmin=fx;
        break
   else
        x1=x1n;
        x2=x2n;
        fx=fxn;
   end
end
fmin=fxf(x1,x2);
fprintf('The relative minimum occurs at x1=%7.4f  x2=%7.4f \n',x1,x2);
fprintf('The minimum value for f=%10.4f \n',fmin);

  
