% example9_3.m
% optimsilo
% This program minimizes the material surface area of a silo
% The silo consists of a right cylinder topped by a hemisphere.
% The volume is set at 7000 and 8400 m^3
% Variables are length, L = x(2) and radius, R = x(1)
  clear; clc;
  global V;
% Take a guess at the solution
  xo = [10.0 20.0];
  LB = [0,0];
  UB = [];
  fo=fopen('output.dat','w');
% Set optimization options:
% In earlier versions of MATLAB, the program worked by turning off 
% the large-scale algorithms. The statement was
% options = optimset('LargeScale','off'). In the latest version of
% MATLAB, the program does not run with this statement.
% The program now works using the following statement.
  options = optimset('Algorithm','interior-point');
% We have no inequality constraints, so pass [] for those arguments  
  VT=[7000 8400];
  fprintf(fo,'Optimization Problem \n\n');
  fprintf(fo,'This program minimizes the material surface area of a silo \n');
  fprintf(fo,'The silo consists of a right cylinder topped by a hemisphere \n');
  fprintf(fo,'The volume is set at 7000 and 8400 m^3 \n\n');
  for i=1:2
     V=VT(i);
     [x,fval]=fmincon(@objfunsilo,xo,[],[],[],[],LB,UB,@confunsilo,options);     
     fprintf(fo,'V=%6.1f(m^3), R=%7.3f(m), L=%7.3f(m), min surf area=%9.3f(m^2) \n',... 
       V,x(1),x(2),fval);
  end
  fclose(fo);
  
   

   